extends "res://scripts/AlternativeChoices/AlternativeChoiceBase.gd"

func Localization():
	localization = ["", "choice12.3", "choice21.1", "choice12.3"];

func SetCursorStates():
	cursorStates = [CursorState.Walk, CursorState.Walk, CursorState.Walk, CursorState.Walk, ];

func AdjustLabels():
	$Labels / LoungeLabel.rect_global_position.y = $Labels / LoungeLabel.rect_global_position.y - 10;
	$Labels / GoBackLabel.rect_global_position.y = $Labels / GoBackLabel.rect_global_position.y - 25;
	$Labels / GarageLabel.rect_global_position.y = $Labels / GarageLabel.rect_global_position.y - 25;

func _on_Door_button_up():
	if not CheckHover():return ;
	Dialogic.set_variable("PreviousTimelineChoice", "25.fakedoor");
	End()

func _on_GoBack_button_up():
	if not CheckHover():return ;
	if int(Dialogic.get_variable("Time")) >= 45:
		Dialogic.set_variable("PreviousTimelineChoice", "25.time");
	else :
		Dialogic.set_variable("PreviousTimelineChoice", "25.2");
	End()

func _on_Lounge_button_up():
	if not CheckHover():return ;
	Dialogic.set_variable("PreviousTimelineChoice", "25.lounge");
	End()

func _on_Garage_button_up():
	if not CheckHover():return ;
	Dialogic.set_variable("PreviousTimelineChoice", "25.garage");
	End()
