extends "res://scripts/AlternativeChoices/AlternativeChoiceBase.gd"

func Localization():
	localization = [tr("ui_sit_near_justin"), 
	tr("ui_sit_near_robert"), 
	tr("ui_sit_near_amanda"), 
	tr("ui_sit_near_henry"), 
	tr("ui_sit_near_renata"), 
	tr("ui_sit_near_linda"), 
	tr("ui_sit_near_alexander"), 
	tr("ui_sit_near_martin"), 
	tr("ui_sit_near_emilia"), 
	tr("ui_sit_near_dana"), 
	tr("ui_sit_near_agatha")];
	

func SetCursorStates():
	cursorStates = [];
	for i in range(0, 11):
		cursorStates.push_back(CursorState.Talk);

func CheckForVariables():
	$SpriteButtons / White.visible = Dialogic.get_variable("Is_White_Dead") == "0";
	$SpriteButtons / Gray.visible = Dialogic.get_variable("Is_Gray_Dead") == "0";
	$SpriteButtons / Pink.visible = Dialogic.get_variable("Is_Pink_Dead") == "0";
	$SpriteButtons / Yellow.visible = Dialogic.get_variable("Is_Yellow_Dead") == "0";
	$SpriteButtons / Orange.visible = Dialogic.get_variable("Is_Orange_Dead") == "0";
	$SpriteButtons / Black.visible = Dialogic.get_variable("Is_Black_Dead") == "0";
	$SpriteButtons / Red.visible = Dialogic.get_variable("Is_Red_Dead") == "0";
	$SpriteButtons / Blue_M.visible = Dialogic.get_variable("Is_Blue_M_Dead") == "0";
	$SpriteButtons / Blue_F.visible = Dialogic.get_variable("Is_Blue_F_Dead") == "0";
	$SpriteButtons / Purple.visible = Dialogic.get_variable("Is_Purple_Dead") == "0";
	$SpriteButtons / Green.visible = Dialogic.get_variable("Is_Green_Dead") == "0";
	
	if not $SpriteButtons / Blue_M.visible:
		return 
	
	if Dialogic.get_variable("SleepingBlue") == "1":
		$SpriteButtons / Blue_F.texture_normal = load("res://resources/AlternativeChoices/Timeline_157_1/Blue_F_sleeping.webp")
		$SpriteButtons / Blue_F.rect_position = Vector2(497, 286);

func AdjustLabels():
	pass;

func _on_White_button_up():
	if not CheckHover():return ;
	Dialogic.set_variable("PreviousTimelineChoice", "boys");
	End()


func _on_Gray_button_up():
	if not CheckHover():return ;
	Dialogic.set_variable("PreviousTimelineChoice", "boys");
	End()


func _on_Pink_button_up():
	if not CheckHover():return ;
	Dialogic.set_variable("PreviousTimelineChoice", "girls");
	End()


func _on_Yellow_button_up():
	if not CheckHover():return ;
	Dialogic.set_variable("PreviousTimelineChoice", "boys");
	End()


func _on_Orange_button_up():
	if not CheckHover():return ;
	Dialogic.set_variable("PreviousTimelineChoice", "boys");
	End()


func _on_Black_button_up():
	if not CheckHover():return ;
	Dialogic.set_variable("PreviousTimelineChoice", "girls");
	End()


func _on_Red_button_up():
	if not CheckHover():return ;
	Dialogic.set_variable("PreviousTimelineChoice", "boys");
	End()


func _on_Blue_M_button_up():
	if not CheckHover():return ;
	Dialogic.set_variable("PreviousTimelineChoice", "girls");
	End()


func _on_Blue_F_button_up():
	if not CheckHover():return ;
	Dialogic.set_variable("PreviousTimelineChoice", "girls");
	End()


func _on_Purple_button_up():
	if not CheckHover():return ;
	Dialogic.set_variable("PreviousTimelineChoice", "girls");
	End()


func _on_Green_button_up():
	if not CheckHover():return ;
	Dialogic.set_variable("PreviousTimelineChoice", "boys");
	End()
