extends "res://scripts/AlternativeChoices/AlternativeChoiceBase.gd"

func Localization():
	var res = ["choice3024.1", "choice3024.2", "choice3024.3"];
	
	for i in res.size():
		localization.push_back(str("#", i + 1, " ", tr(res[i])));

func SetCursorStates():
	cursorStates = [CursorState.Talk, CursorState.Talk, CursorState.Talk, ];

func CheckForVariables():
	
	
	if Dialogic.get_variable("Is_Red_Dead") == "0":
		$SpriteButtons / Center.texture_normal = load("res://resources/AlternativeChoices/Timeline_165/red.webp");
		$SpriteButtons / Center.texture_click_mask = load("res://resources/AlternativeChoices/Timeline_165/red_mask.webp");
		$SpriteButtons / Center.rect_size = Vector2(595, 43);
		$SpriteButtons / Center.rect_size = Vector2(0.48, 0.48)
	
	$SpriteButtons / Left.disabled = true;
	$SpriteButtons / Center.disabled = true;
	$SpriteButtons / Right.disabled = true;
	
	$WaitTimer.start(1);

func _on_WaitTimer_timeout():
	$SpriteButtons / Left.disabled = false;
	$SpriteButtons / Center.disabled = false;
	$SpriteButtons / Right.disabled = false;

func AdjustLabels():
	$Labels / a1.rect_position = Vector2(20, 700);
	$Labels / a2.rect_position = Vector2(645, 527);
	$Labels / a3.rect_position = Vector2(1380, 620);


func _on_Left_button_up():
	if not CheckHover():return ;
	if Dialogic.get_variable("Killer") == "Pink":
		Dialogic.set_variable("PreviousTimelineChoice", "167");
	else :
		Dialogic.set_variable("PreviousTimelineChoice", "173");
	End()


func _on_Center_button_up():
	if not CheckHover():return ;
	Dialogic.set_variable("PreviousTimelineChoice", "174");
	End()


func _on_Right_button_up():
	if not CheckHover():return ;
	if Dialogic.get_variable("Killer") == "Blue":
		Dialogic.set_variable("PreviousTimelineChoice", "167");
	else :
		Dialogic.set_variable("PreviousTimelineChoice", "173");
	End()
