extends "res://scripts/AlternativeChoices/AlternativeChoiceBase.gd"

func Localization():
	localization = ["choice21.7", "", "choice21.1", "choice21.4", "choice21.5", "choice21.6"];

func AdjustLabels():
	$Labels / a1.rect_global_position.y = $Labels / a1.rect_global_position.y - 12;
	$Labels / a3.rect_global_position.y = $Labels / a3.rect_global_position.y - 13;
	$Labels / a5.rect_global_position.y = 920;
	$Labels / a6.rect_global_position.y = $Labels / a6.rect_global_position.y - 12;

func SetCursorStates():
	cursorStates = [CursorState.Walk, CursorState.Walk, CursorState.Walk, CursorState.Walk, CursorState.Walk, CursorState.Walk, ];

func CheckForVariables():
	if Dialogic.get_variable("LightsOn") == "0":
		$SpriteButtons / GoBack.texture_normal = load("res://resources/AlternativeChoices/Timeline_32/door_night_lightsOff.webp");

func _on_Parking_button_up():
	if not CheckHover():return ;
	Dialogic.set_variable("PreviousTimelineChoice", "190.4");
	End()

func _on_GoBack_button_up():
	if not CheckHover():return ;
	Dialogic.set_variable("PreviousTimelineChoice", "190.6");
	End()

func _on_Smoking_button_up():
	if not CheckHover():return ;
	Dialogic.set_variable("PreviousTimelineChoice", "190.2");
	End()

func _on_LightHouse_button_up():
	if not CheckHover():return ;
	Dialogic.set_variable("PreviousTimelineChoice", "190.3");
	End()

func _on_Pristan_button_up():
	if not CheckHover():return ;
	Dialogic.set_variable("PreviousTimelineChoice", "190.5");
	End()

func _on_Ovrag_button_up():
	if not CheckHover():return ;
	Dialogic.set_variable("PreviousTimelineChoice", "190.1");
	End()
