extends "res://scripts/AlternativeChoices/AlternativeChoiceBase.gd"

func Localization():
	localization = ["choice21.2", "", "choice22.9"];

func SetCursorStates():
	cursorStates = [CursorState.Walk, CursorState.Talk, CursorState.Walk];

func CheckForVariables():
	if Dialogic.get_variable("TwinsNPC") == "dog_show":
		$SpriteButtons / Lady.visible = true;

func AdjustLabels():
	$Labels / a1.rect_global_position.y = 450;
	$Labels / a3.rect_global_position.y = 794;

func _on_Arrow_button_up():
	if not CheckHover():return ;
	Dialogic.set_variable("PreviousTimelineChoice", "back");
	End()

func _on_Lady_button_up():
	if not CheckHover():return ;
	Dialogic.set_variable("PreviousTimelineChoice", "lady");
	
	Dialogic.set_variable("TwinsNPC", "");
	End()

func _on_Behind_button_up():
	if not CheckHover():return ;
	Dialogic.set_variable("PreviousTimelineChoice", "behind");
	End()
