extends "res://scripts/AlternativeChoices/AlternativeChoiceBase.gd"

func Localization():
	localization = ["", "", "1", "2", "choice22.2"];

func SetCursorStates():
	cursorStates = [CursorState.Walk, CursorState.Walk, CursorState.Walk, CursorState.Walk, CursorState.Walk, ];

func AdjustLabels():
	get_node("Labels/Down").rect_position = Vector2(1424, 750);
	get_node("Labels/Up").rect_position = Vector2(1452, 410);
	get_node("Labels/1").rect_position = Vector2(300, 240);
	get_node("Labels/2").rect_position = Vector2(885, 254);
	get_node("Labels/Office").rect_position = Vector2(1105, 245);

func CheckForVariables():
	get_node("SpriteButtons/1").visible = Dialogic.get_variable("Timeline146") == "0";
	get_node("SpriteButtons/2").visible = Dialogic.get_variable("Timeline147") == "0";
	
	if get_node("SpriteButtons/1").visible:
		get_node("SpriteButtons/1").visible = Dialogic.get_variable("Is_Black_Dead") == "0"
		
	if get_node("SpriteButtons/2").visible:
		get_node("SpriteButtons/2").visible = Dialogic.get_variable("Is_Green_Dead") == "0"
	
	if Dialogic.get_variable("LightsOn") == "0":
		if get_node("SpriteButtons/1").visible:
			get_node("SpriteButtons/1").texture_normal = load("res://resources/AlternativeChoices/Before_2nd_floor/lightsOff1.webp");
		if get_node("SpriteButtons/2").visible:
			get_node("SpriteButtons/2").texture_normal = load("res://resources/AlternativeChoices/Before_2nd_floor/lightsOff2.webp");
		if $SpriteButtons / Office.visible:
			$SpriteButtons / Office.texture_normal = load("res://resources/AlternativeChoices/Before_2nd_floor/lightsOffOffice.webp");

func _on_Down_button_up():
	if not CheckHover():return ;
	Dialogic.set_variable("PreviousTimelineChoice", "2nd_down");
	End()

func _on_Up_button_up():
	if not CheckHover():return ;
	Dialogic.set_variable("PreviousTimelineChoice", "2nd_up");
	End()

func _on_1_button_up():
	if not CheckHover():return ;
	Dialogic.set_variable("PreviousTimelineChoice", "2nd_1");
	End()

func _on_2_button_up():
	if not CheckHover():return ;
	Dialogic.set_variable("PreviousTimelineChoice", "2nd_2");
	End()

func _on_Office_button_up():
	if not CheckHover():return ;
	Dialogic.set_variable("PreviousTimelineChoice", "2nd_office");
	End()
