extends "res://scripts/AlternativeChoices/AlternativeChoiceBase.gd"

func Localization():
	localization = ["", "", "3", "4", "5"];

func SetCursorStates():
	cursorStates = [CursorState.Walk, CursorState.Press, CursorState.Walk, CursorState.Walk, CursorState.Walk, ];

func CheckForVariables():
	get_node("SpriteButtons/3").visible = Dialogic.get_variable("Timeline145") == "0";
	get_node("SpriteButtons/4").visible = Dialogic.get_variable("Timeline146_a") == "0";
	get_node("SpriteButtons/5").visible = Dialogic.get_variable("Timeline148") == "0";
	
	if get_node("SpriteButtons/3").visible:
		get_node("SpriteButtons/3").visible = Dialogic.get_variable("Is_Blue_M_Dead") == "0";
	if get_node("SpriteButtons/5").visible:
		get_node("SpriteButtons/5").visible = Dialogic.get_variable("Is_Purple_Dead") == "0";
	
	if Dialogic.get_variable("LightsOn") == "0":
		if get_node("SpriteButtons/3").visible:
			get_node("SpriteButtons/3").texture_normal = load("res://resources/AlternativeChoices/Before_3rd_floor/lightsOff3.webp");
		if get_node("SpriteButtons/4").visible:
			get_node("SpriteButtons/4").texture_normal = load("res://resources/AlternativeChoices/Before_3rd_floor/lightsOff4.webp");
		if get_node("SpriteButtons/5").visible:
			get_node("SpriteButtons/5").texture_normal = load("res://resources/AlternativeChoices/Before_3rd_floor/lightsOff5.webp");
		get_node("SpriteButtons/Window").texture_normal = load("res://resources/AlternativeChoices/Before_3rd_floor/Window_lightsOff.webp")

func AdjustLabels():
	get_node("Labels/Down").rect_position = Vector2(1391, 650);
	get_node("Labels/3").rect_position = Vector2(300, 240);
	get_node("Labels/4").rect_position = Vector2(885, 254);
	get_node("Labels/5").rect_position = Vector2(1143, 245);

func _on_Down_button_up():
	if not CheckHover():return ;
	Dialogic.set_variable("PreviousTimelineChoice", "3rd_down");
	End()

func _on_Window_button_up():
	if not CheckHover():return ;
	Dialogic.set_variable("PreviousTimelineChoice", "3rd_window");
	End()

func _on_3_button_up():
	if not CheckHover():return ;
	Dialogic.set_variable("PreviousTimelineChoice", "3rd_3");
	End()

func _on_4_button_up():
	if not CheckHover():return ;
	Dialogic.set_variable("PreviousTimelineChoice", "3rd_4");
	End()

func _on_5_button_up():
	if not CheckHover():return ;
	Dialogic.set_variable("PreviousTimelineChoice", "3rd_5");
	End()
