extends "res://scripts/AlternativeChoices/AlternativeChoiceBase.gd"

func Localization():
	localization = ["", "choice21.1", "choice12.3", ""]

func SetCursorStates():
	cursorStates = [CursorState.Walk, CursorState.Walk, CursorState.Walk, CursorState.Walk];

func CheckForVariables():
	if Dialogic.get_variable("LightsOn") == "0":
		$SpriteButtons / Door.texture_normal = load("res://resources/AlternativeChoices/Timeline_32/door_night_lightsOff.webp");

func AdjustLabels():
	$Labels / Arrow.rect_global_position.y = 625;
	$Labels / Arrow2.rect_global_position.y = 675;

func _on_Door_button_up():
	if not CheckHover():return ;
	Dialogic.set_variable("PreviousTimelineChoice", "120_w_inside");
	End()

func _on_ArrowSmoking_button_up():
	if not CheckHover():return ;
	Dialogic.set_variable("PreviousTimelineChoice", "120_w_smoking");
	End()

func _on_ArrowGarage_button_up():
	if not CheckHover():return ;
	Dialogic.set_variable("PreviousTimelineChoice", "120_w_garage");
	End()

func _on_LightHouse_button_up():
	if not CheckHover():return ;
	Dialogic.set_variable("PreviousTimelineChoice", "120_w_lighthouse");
	End()
