extends "res://scripts/AlternativeChoices/AlternativeChoiceBase.gd"

func Localization():
	localization = ["choice21.9", "choice22.1", "", "choice22.11"]

func SetCursorStates():
	cursorStates = [CursorState.Walk, CursorState.Walk, CursorState.Talk, CursorState.Press, ];

func AdjustLabels():
	$Labels / ArrowLabel.rect_global_position = Vector2(10, 600);
	$Labels / ArrowLabel2.rect_global_position.y = 600;

func CheckForVariables():
	$SpriteButtons / Blue.visible = Dialogic.get_variable("Timeline121") == "0" and Dialogic.get_variable("Killer") != "Blue";
	$SpriteButtons / Body.visible = Dialogic.get_variable("Timeline106") == "0";

func _on_ArrowFront_button_up():
	if not CheckHover():return ;
	Dialogic.set_variable("PreviousTimelineChoice", "120_w_front");
	End()

func _on_ArrowGarage_button_up():
	if not CheckHover():return ;
	Dialogic.set_variable("PreviousTimelineChoice", "120_w_garage");
	End()

func _on_Blue_button_up():
	if not CheckHover():return ;
	Dialogic.set_variable("PreviousTimelineChoice", "120_smoking_blue");
	End()

func _on_Body_button_up():
	if not CheckHover():return ;
	Dialogic.set_variable("PreviousTimelineChoice", "120_smoking_body");
	End()
