extends "res://scripts/AlternativeChoices/AlternativeChoiceBase.gd"

func Localization():
	localization = ["choice21.9", "choice22.1", "", "choice22.11"]

func AdjustLabels():
	$Labels / ArrowLabel.rect_global_position = Vector2(10, 600);
	$Labels / ArrowLabel2.rect_global_position.y = 600;

func SetCursorStates():
	cursorStates = [CursorState.Walk, CursorState.Walk, CursorState.Talk, CursorState.Press, ];

func CheckForVariables():
	$SpriteButtons / Blue.visible = Dialogic.get_variable("Timeline141") == "0" and Dialogic.get_variable("Killer") != "Blue";
	$SpriteButtons / Body.visible = Dialogic.get_variable("Timeline106") == "0";

func _on_ArrowFront_button_up():
	if not CheckHover():return ;
	Dialogic.set_variable("PreviousTimelineChoice", "front");
	End()

func _on_ArrowGarage_button_up():
	if not CheckHover():return ;
	Dialogic.set_variable("PreviousTimelineChoice", "garage");
	End()

func _on_Blue_button_up():
	if not CheckHover():return ;
	if Dialogic.get_variable("Timeline141") == "1":
		Dialogic.set_variable("PreviousTimelineChoice", "141_2");
	else :
		Dialogic.set_variable("PreviousTimelineChoice", "141_1");
	End()

func _on_Body_button_up():
	if not CheckHover():return ;
	Dialogic.set_variable("PreviousTimelineChoice", "140_smoking_body");
	End()
