extends "res://scripts/AlternativeChoices/AlternativeChoiceBase.gd"

func Localization():
	localization = ["choice12.3", "choice12.7", "choice12.3", "", "choice12.1", "", ""];

func SetCursorStates():
	cursorStates = [CursorState.Walk, CursorState.Walk, CursorState.Walk, CursorState.Walk, CursorState.Walk, CursorState.Talk, CursorState.Walk];

func CheckForVariables():
	var time = int(Dialogic.get_variable("Time"));
	
	if time >= 45:
		var array = [$SpriteButtons / White, $SpriteButtons / LightHouse, $SpriteButtons / Around];
		for i in array:
			i.visible = false;

func AdjustLabels():
	$Labels / a1.rect_global_position = Vector2(12, 675);
	$Labels / a2.rect_global_position.y = 935;
	$Labels / AroundLabel.rect_global_position.y = 625;
	$Labels / a5.rect_global_position.y = 730;

func _on_a1_button_up():
	if not CheckHover():return ;
	Dialogic.set_variable("PreviousTimelineChoice", "walk_garage");
	End()

func _on_a2_button_up():
	if not CheckHover():return ;
	Dialogic.set_variable("PreviousTimelineChoice", "walk_sarai");
	End()

func _on_Around_button_up():
	if not CheckHover():return ;
	Dialogic.set_variable("PreviousTimelineChoice", "12.3");
	End()

func _on_LightHouse_button_up():
	if not CheckHover():return ;
	Dialogic.set_variable("PreviousTimelineChoice", "walk_mayak");
	End()

func _on_a5_button_up():
	if not CheckHover():return ;
	if Dialogic.get_variable("Talked_to_Gray") == "0":
		Dialogic.set_variable("PreviousTimelineChoice", "12.1");
	else :
		Dialogic.set_variable("PreviousTimelineChoice", "12.gray");
	End()

func _on_White_button_up():
	if not CheckHover():return ;
	if Dialogic.get_variable("Talked_to_White") == "0":
		Dialogic.set_variable("PreviousTimelineChoice", "12.2");
	else :
		Dialogic.set_variable("PreviousTimelineChoice", "12.white");
	End()

func _on_Inside_button_up():
	if not CheckHover():return ;
	var time = int(Dialogic.get_variable("Time"));
	
	if time < 45:
		Dialogic.set_variable("PreviousTimelineChoice", "12.sofa");
	else :
		Dialogic.set_variable("PreviousTimelineChoice", "12.4");
	End()
