extends "res://scripts/AlternativeChoices/AlternativeChoiceBase.gd"

func Localization():
	localization = ["", "choice22.1", "choice21.1", ""]

func SetCursorStates():
	cursorStates = [CursorState.Walk, CursorState.Walk, CursorState.Walk, CursorState.Walk];

func CheckForVariables():
	if Dialogic.get_variable("LightsOn") == "0":
		$SpriteButtons / Door.texture_normal = load("res://resources/AlternativeChoices/Timeline_32/door_night_lightsOff.webp");

func AdjustLabels():
	$Labels / Arrow.rect_global_position.y = $Labels / Arrow.rect_global_position.y - 25;
	$Labels / Arrow2.rect_global_position.y = $Labels / Arrow2.rect_global_position.y - 25;

func _on_Door_button_up():
	if not CheckHover():return ;
	Dialogic.set_variable("PreviousTimelineChoice", "141_rest");
	End()

func _on_ArrowGarage_button_up():
	if not CheckHover():return ;
	Dialogic.set_variable("PreviousTimelineChoice", "141_garage");
	End()

func _on_ArrowSmoking_button_up():
	if not CheckHover():return ;
	Dialogic.set_variable("PreviousTimelineChoice", "141_smoking");
	End()

func _on_LightHouse_button_up():
	if not CheckHover():return ;
	Dialogic.set_variable("PreviousTimelineChoice", "141_lighthouse");
	End()
