extends "res://scripts/AlternativeChoices/AlternativeChoiceBase.gd"

func Localization():
	localization = ["", "", "", "choice21.9", "choice21.1"]

func SetCursorStates():
	cursorStates = [CursorState.Talk, CursorState.Walk, CursorState.Press, CursorState.Walk, CursorState.Walk, CursorState.Walk, ];

func AdjustLabels():
	$Labels / ArrowLabel.rect_global_position.y = $Labels / ArrowLabel.rect_global_position.y - 25;
	$Labels / ArrowLabel2.rect_global_position.y = $Labels / ArrowLabel2.rect_global_position.y - 25;
	
func CheckForVariables():
	get_node("SpriteButtons/Yellow").visible = Dialogic.get_variable("Is_Yellow_Dead") == "0";

func _on_Yellow_button_up():
	if not CheckHover():return ;
	if Dialogic.get_variable("Timeline142_h") == "1":
		Dialogic.set_variable("PreviousTimelineChoice", "142_2");
	else :
		Dialogic.set_variable("PreviousTimelineChoice", "142_1");
	
	End()
func _on_Door_button_up():
	if not CheckHover():return ;
	Dialogic.set_variable("PreviousTimelineChoice", "142_back");
	End()

func _on_Car_button_up():
	if not CheckHover():return ;
	Dialogic.set_variable("PreviousTimelineChoice", "142_car");
	End()

func _on_ArrowFront_button_up():
	if not CheckHover():return ;
	Dialogic.set_variable("PreviousTimelineChoice", "142_3");
	End()

func _on_ArrowSmoking_button_up():
	if not CheckHover():return ;
	Dialogic.set_variable("PreviousTimelineChoice", "142_smoking");
	End()

