extends "res://scripts/AlternativeChoices/AlternativeChoiceBase.gd"

func Localization():
	localization = ["", "choice22.3", ""]

func SetCursorStates():
	cursorStates = [CursorState.Talk, CursorState.Walk, CursorState.Press];

func AdjustLabels():
	$Labels / ArrowLabel.rect_global_position.y = $Labels / ArrowLabel.rect_global_position.y - 35;
	$Labels / ArrowLabel.rect_global_position.x = $Labels / ArrowLabel.rect_global_position.x + 20;


func CheckForVariables():
	var orange = get_node("SpriteButtons/Orange");
	orange.visible = Dialogic.get_variable("Is_Orange_Dead") == "0";
	
	if orange.visible and Dialogic.get_variable("LightsOn"):
		orange.modulate = Color(0.49, 0.49, 0.49, 1);

func _on_Orange_button_up():
	if not CheckHover():return ;
	if Dialogic.get_variable("Timeline149") == "1":
		Dialogic.set_variable("PreviousTimelineChoice", "149_2");
	else :
		Dialogic.set_variable("PreviousTimelineChoice", "149_1");
	End()

func _on_Arrow_button_up():
	if not CheckHover():return ;
	Dialogic.set_variable("PreviousTimelineChoice", "149_back");
	End()

func _on_Knife_button_up():
	if not CheckHover():return ;
	Dialogic.set_variable("PreviousTimelineChoice", "149_knife");
	End()
